Summary: a lightweight web browser based on GTK+
Name: dillo
Version: 0.7.3
Release: 0vl1
URL: http://www.dillo.org/
Source0: http://www.dillo.org/download/%{name}-%{version}.tar.bz2
Patch0: http://teki.jpn.ph/pc/software/dillo-0.7.3-i18n-misc-20031219.diff.bz2
License: GPL2
Group: Applications/Internet
BuildRoot: %{_tmppath}/%{name}-root

%description
- Dillo is a web browser project completely written in C.
- Dillo is small: source is less than 365 KB, and the binary is around 300 KB!
- Dillo aims to be a multi-platform browser alternative that's small, stable, 
  developer-friendly, usable, fast, and extensible.
- Dillo is mainly based on GTK+ (GNOME is NOT required!)
- Dillo is a free-SW project in the terms of the GNU general public license.
- Current code uses gzilla-0.2.2's html-parser, and almost everything else 
  was rewritten from scratch!.
- Dillo is very fast!

%prep
%setup -q
%patch0 -p 1

%build
%configure --enable-meta-refresh --enable-web-search --program-prefix=
make

%install
rm -rf %{buildroot}
%makeinstall
%{find_lang} %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/dillo
%{_bindir}/dillocfg
%{_bindir}/bm_srv12
%config(noreplace) %{_sysconfdir}/dillorc

%changelog
* Mon Dec 29 2003 IWAI, Masaharu <iwai@alib.jp> 0.7.3-0vl1
- Initial build.

