%define beta 0
%define srcdir ftp://ftp.kde.org/pub/kde/snapshots/current

Name: kde-i18n-ja
Version: 3.5.8
%if %{beta}
Release: 1.%{beta}%{?_dist_release}
%else
Release: 1%{?_dist_release}
%endif
Summary: K Desktop Environment - Japanese Messages
Summary(ja): Kデスクトップ環境 - 日本語メッセージ
%if %{beta}
Source: ftp://ftp.kde.org/pub/kde/unstable/%{version}-%{beta}/src/kde-i18n/%{name}-%{version}-%{beta}.tar.bz2
%else
Source: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/kde-i18n/%{name}-%{version}.tar.bz2
%endif

URL: http://www.kde.gr.jp/
Group: User Interface/Desktops
License: GPL/LGPL

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
Requires: kdelibs
BuildRequires: kdelibs-devel

%description
KDE helps and messages for Japanese.

%description -l ja
KDE3用の日本語メッセージ。

%prep
%setup -q

%build
export KDEDIR=%{_prefix}
env CXXFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=$KDEDIR
make 

%install
rm -rf $RPM_BUILD_ROOT

export KDEDIR=%{_prefix}
mkdir -p $RPM_BUILD_ROOT$KDEDIR

make DESTDIR=$RPM_BUILD_ROOT install

# Generieren der Fileliste
cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > $RPM_BUILD_DIR/file.list
find . -type f | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list
find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list

%clean
rm -rf $RPM_BUILD_ROOT
rm -f ../file.list

%files -f ../file.list

%changelog
* Tue Apr 14 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 3.5.8-1
- applied new versioning policy, spec in UTF-8

* Tue Oct 16 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.8-0vl1
- new upstream release

* Wed May 23 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.7-0vl1
- new upstream release

* Mon Jan 22 2007 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.6-0vl1
- new upstream release

* Tue Oct  3 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.5-0vl1
- new upstream release

* Tue Jul 25 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.4-0vl1
- new upstream release

* Tue May 30 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.3-0vl1
- new upstream release

* Mon Mar 20 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.2-0vl1
- new upstream release

* Tue Jan 24 2006 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.1-0vl1
- new upstream release

* Tue Nov 22 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.0-0vl1
- new upstream release

* Fri Nov 11 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.5.0-0vl0.rc1
- new upstream release

* Mon Oct 17 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.92-0vl1
- new upstream release

* Tue Sep 20 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.91-0vl1
- new upstream release

* Fri Jul 22 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.2-0vl1
- new upstream release

* Thu Jun  2 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.1-0vl1
- new upstream release

* Thu Mar 10 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.0-0vl1
- new upstream release

* Mon Feb 28 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.4.0-0vl0.rc1
- new upstream release (3.4.0rc1)
- add BuildPreReq: unsermake

* Mon Feb  7 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.92-0vl1
- new upstream release

* Thu Jan 27 2005 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.91-0vl1
- new upstream release

* Mon Dec 13 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.2-0vl1
- source upgrade

* Sat Oct  9 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.1-0vl1
- source upgrade

* Thu Sep 23 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.3.0-0vl1
- source upgrade

* Sat Jun  5 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.2.3-0vl1
- source upgrade

* Sat May  1 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.2.2-0vl1
- source upgrade

* Tue Mar  9 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.2.1-0vl1
- source upgrade

* Wed Feb  4 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.2.0-0vl1
- source upgrade to 3.1.94 and kde-i18n-ja_20040205 (from kde.gr.jp)

* Sat Jan 17 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.5-0vl2
- rebuild for VineSeedPlus

* Sat Jan 10 2004 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.5-0vl1
- source upgrade
- build for VinePlus/2.6

* Mon Dec 22 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.4-0vl2
- build for VineSeed with new toolchain and qt-3.2.3

* Thu Sep 18 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.4-0vl1
- source upgrade

* Mon Sep 15 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.4-0.26vl1
- source upgrade

* Fri Jul 31 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.3-0.26vl1
- rebuild for Vine2.6

* Fri Jul 18 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.3-0vl1
- source upgrade

* Mon May 12 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.2-0vl2
- source upgrade

* Sat May 10 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.2-0vl1
- source upgrade

* Fri Mar 28 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1.1-0vl1
- source upgrade

* Fri Jan 31 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1-0vl1
- source upgrade to 3.1-stable

* Mon Jan 20 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1-0.rc7vl1
- source upgrade to 3.1rc7

* Mon Jan 13 2003 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.1-0.rc6vl1
- source upgrade to 3.1rc6

* Sun Dec 29 2002 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.0.5-0vl1
- source upgrade

* Sun Oct 13 2002 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.0.4-0vl1
- source upgrade

* Mon Aug 26 2002 AKIYAMA Kazuhito <akiyama@yb3.so-net.ne.jp> 3.0.3-0vl1
- source upgrade

* Thu Jul  4 2002 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 3.0.2-0vl1
- source upgrade
- delete Requires: kdebase

* Fri Jun  7 2002 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 3.0.1-0vl1
- upgrade to 3.0.1
- remove patch1

* Tue Apr  9 2002 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 3.0-0vl2
- upgrade to 3.0
- add patch1 from kde.gr.jp

* Sat Mar 30 2002 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 3.0-0vl1
- upgrade to cvs-20020329

* Sun Mar 17 2002 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 2.2.2-0vl1
- upgrade to 2.2.2

* Sat Nov 23 2001 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 2.2.1-1vl2
- Build with kdelibs-2.2.1-1vl3

* Sat Oct 20 2001 AKIYAMA Kazuhito <akiyama@karen.servepics.com> 2.2.1-1vl1
- Build for VineSeed
- Change prefix to /usr

* Sat Sep 22 2001 Takumi ASAKI <asaki@kde.gr.jp> 2.2.1-1
- First release
